## org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder
Class FunctionNamesAndSignatures

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder.FunctionNamesAndSignatures

    public class FunctionNamesAndSignatures

extends java.lang.Object

Field Summary
`static java.lang.String` `db2AIVExtenders`
`static java.lang.String` `db2All`
`static java.lang.String` `db2Column`
`static java.lang.String` `db2Conversion`
`static java.lang.String` `db2DateAndTime`
`static java.lang.String` `db2Db2`
`static java.lang.String` `db2Logical`
`static java.lang.String` `db2Math`
`static java.lang.String` `db2NotSupported`
`static java.lang.String` `db2Scalar`
`static java.lang.String` `db2SpecialRegisters`
`static java.lang.String` `db2Summary`
`static java.lang.String` `db2Text`
`static java.lang.String` `db2TextExtender`
`static java.lang.String` `db2UDF`

Constructor Summary
`FunctionNamesAndSignatures()`

Method Summary
`static void` `fillCategoryCombo(org.eclipse.swt.widgets.Combo functionsCategoryCombo, boolean isColumn)`
`static java.lang.String[]` `getFunctionList(java.lang.String category, boolean isColumn, SQLDomainModel domainModel)`
`static java.lang.Object[][]` `getParameterFormats(java.lang.String functionName)`
`static java.lang.Object[][]` `getParms(java.lang.Integer listnum)`
`static boolean` `isColumnFunctionExpression(java.lang.String functionName)`
`static boolean` `isFunctionSupportingStar(java.lang.String s)`
`static boolean` `isNotSupported(java.lang.String functionName)`
`static boolean` `requiresNoBrackets(java.lang.String functionName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### db2All

    public static java.lang.String db2All

### db2Column

    public static java.lang.String db2Column

### db2SpecialRegisters

    public static java.lang.String db2SpecialRegisters

### db2Scalar

    public static java.lang.String db2Scalar

### db2Conversion

    public static java.lang.String db2Conversion

### db2DateAndTime

    public static java.lang.String db2DateAndTime

### db2Db2

    public static java.lang.String db2Db2

### db2Logical

    public static java.lang.String db2Logical

### db2Math

    public static java.lang.String db2Math

### db2Summary

    public static java.lang.String db2Summary

### db2Text

    public static java.lang.String db2Text

### db2TextExtender

    public static java.lang.String db2TextExtender

### db2AIVExtenders

    public static java.lang.String db2AIVExtenders

### db2NotSupported

    public static java.lang.String db2NotSupported

### db2UDF

    public static java.lang.String db2UDF

Constructor Detail

### FunctionNamesAndSignatures

    public FunctionNamesAndSignatures()

Method Detail

### getParms

    public static java.lang.Object[][] getParms(java.lang.Integer listnum)

### getParameterFormats

    public static java.lang.Object[][] getParameterFormats(java.lang.String functionName)

### fillCategoryCombo

    public static void fillCategoryCombo(org.eclipse.swt.widgets.Combo functionsCategoryCombo,
                                         boolean isColumn)

### isFunctionSupportingStar

    public static boolean isFunctionSupportingStar(java.lang.String s)

### isColumnFunctionExpression

    public static boolean isColumnFunctionExpression(java.lang.String functionName)

### requiresNoBrackets

    public static boolean requiresNoBrackets(java.lang.String functionName)

### isNotSupported

    public static boolean isNotSupported(java.lang.String functionName)

### getFunctionList

    public static java.lang.String[] getFunctionList(java.lang.String category,
                                                     boolean isColumn,
                                                     SQLDomainModel domainModel)